Summary: A utility for retrieving files using the HTTP, HTTPS or FTP protocols.
Name: wget
%define version 1.5.3gold
Version: %{version}
Release: 2
Copyright: GPL
Group: Applications/Internet
Packager: Soenke J. Peters <peters+rpm@simprovement.com>
Source: wget-%{version}.tar.gz 
Prereq: /sbin/install-info
Requires: openssl
BuildRoot: /var/tmp/%{name}-root

%description
GNU Wget is a file retrieval utility which can use either the HTTP, HTTPS or
FTP protocols.  Wget features include the ability to work in the
background while you're logged out, recursive retrieval of
directories, file name wildcard matching, remote file timestamp
storage and comparison, use of Rest with FTP servers and Range with
HTTP servers to retrieve files over slow or unstable connections,
support for Proxy servers, and configurability.

Install wget if you need to retrieve large numbers of files with HTTP, HTTPS or
FTP, or if you need a utility for mirroring web sites or FTP directories.

This version has been HTTPS-enabled by Jaroslaw Piotr SOBIESZEK
<J.Sobieszek@elka.pw.edu.pl> and some patches from the wget mailing list have
been added.

%prep
%setup -q

%build
./configure --prefix=/usr --sysconfdir=/etc \
             --with-OpenSSL --with-ssl-incdir=/usr/include/openssl
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr sysconfdir=$RPM_BUILD_ROOT/etc
gzip $RPM_BUILD_ROOT/usr/info/*
strip $RPM_BUILD_ROOT/usr/bin/* || :

%post
/sbin/install-info /usr/info/wget.info.gz /usr/info/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete /usr/info/wget.info.gz /usr/info/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS MAILING-LIST NEWS README INSTALL doc/ChangeLog
%config /etc/wgetrc
/usr/man/man1/wget.1.gz
/usr/bin/wget
/usr/info/*
/usr/share/locale/*/LC_MESSAGES/*

%changelog
* Mon Jun 26 2000 Soenke J. Peters <soenke+rpm@simprovement.com>
- included some stuff from CVS tree
- HTTPS support

* Thu Aug 26 1999 Jeff Johnson <jbj@redhat.com>
- don't permit chmod 777 on symlinks (#4725).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0 tree
- add Provides

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- version 1.5.3

* Sat Jun 27 1998 Jeff Johnson <jbj@redhat.com>
- updated to 1.5.2

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- modified group to Applications/Networking

* Wed Apr 22 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.5.0
- they removed the man page from the distribution (Duh!) and I added it back
  from 1.4.5. Hey, removing the man page is DUMB!

* Fri Nov 14 1997 Cristian Gafton <gafton@redhat.com>
- first build against glibc
